import Foundation

extension String {
    
    /// make first letter lower case
    /// - Returns: string with first letter lower cased
    func lowercaseFirstLetter() -> String {
        let first = String(prefix(1)).lowercased()
        let other = String(dropFirst())
        return first + other
    }
    
    /// wraper function for lower case first letter
    mutating func lowercaseFirstLetter() {
        self = self.lowercaseFirstLetter()
    }
}
